module Jumpup
  module Deis

    class Env

      def self.all
        if Jumpup::Deis.configuration.valid?
          {
            app: Jumpup::Deis.configuration.app,
            staging_app: Jumpup::Deis.configuration.staging_app,
            production_app: Jumpup::Deis.configuration.production_app,
            run_database_tasks: Jumpup::Deis.configuration.run_database_tasks,
            host: Jumpup::Deis.configuration.host,
            deploy_branch: Jumpup::Deis.configuration.deploy_branch,
            deploy_to_production_branch: Jumpup::Deis.configuration.deploy_to_production_branch,
          }.delete_if { |k, v| v.nil? }
        else
          error_message = 'Check your `/config/initializers/jumpup-deis.rb` and ' \
                          'confirm you have defined the `host` and that you have defined ' \
                          'only `app` or `staging_app` and `production_app` together ' \
                          'more info here https://github.com/Helabs/jumpup-deis'
          raise ConfigurationError, error_message
        end
      end
    end
  end
end
