namespace :jumpup do
  namespace :deis do

    task :start => ["add_remote"]
    task :finish => ["deploy"]

    desc "Add Deis git remotes"
    task add_remote: :environment do
      Jumpup::Deis::Integrate.add_remote
    end

    desc "Deploy to deis"
    task deploy: :environment do
      Jumpup::Deis::Integrate.deploy
    end

    namespace :deploy do
      desc "Deploy to production"
      task production: :environment do
        Jumpup::Deis::Integrate.deploy_to_production
      end
    end
  end
end

namespace :integrate do
  desc 'Alias to jumpup:deis:deploy:production'
  task production: :environment do
    Rake.application.invoke_task('jumpup:deis:deploy:production')
  end
end

